\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]

\clip(-5,-3) rectangle (3,4);
\fill[line width=1.5pt,color=C2,fill=C2] (-2,3) -- (-1.5,1.75) -- (0,2) -- (-1,1) -- (0,0) -- (-1.5,0.25) -- (-2,-1) -- (-2.5,0.25) -- (-4,0) -- (-3,1) -- (-4,2) -- (-2.5,1.75) -- cycle;
\draw [color=Gris3,, xstep=1cm,ystep=1cm] (-5,-3) grid (3,4);
\draw [line width=1.5pt,color=A1] (-2,3)-- (-1.5,1.75);
\draw [line width=1.5pt,color=A1] (-1.5,1.75)-- (0,2);
\draw [line width=1.5pt,color=A1] (0,2)-- (-1,1);
\draw [line width=1.5pt,color=A1] (-1,1)-- (0,0);
\draw [line width=1.5pt,color=A1] (0,0)-- (-1.5,0.25);
\draw [line width=1.5pt,color=A1] (-1.5,0.25)-- (-2,-1);
\draw [line width=1.5pt,color=A1] (-2,-1)-- (-2.5,0.25);
\draw [line width=1.5pt,color=A1] (-2.5,0.25)-- (-4,0);
\draw [line width=1.5pt,color=A1] (-4,0)-- (-3,1);
\draw [line width=1.5pt,color=A1] (-3,1)-- (-4,2);
\draw [line width=1.5pt,color=A1] (-4,2)-- (-2.5,1.75);
\draw [line width=1.5pt,color=A1] (-2.5,1.75)-- (-2,3);
\draw [->,line width=1.5pt] (-4,-2) -- (0,-2);
\begin{Large}
\draw (-2,-1.5) node[anchor=center] {$\overrightarrow{u}$};
\end{Large}
\draw [fill=black] (2,1) circle (2.5pt);
\draw[color=black] (2.19,1.5) node {$O$};
\end{tikzpicture}
\end{document}